Subject: bug#19796: closed (Re: bug#19796: 25.0.50; Regression: highlight-lines-matching-regexp can't re-highlight the same string)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Feb 2015 21:43:02 +0000

Your bug report

#19796: 25.0.50; Regression: highlight-lines-matching-regexp can't re-highlight the same string

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19796: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19796
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19796: 25.0.50; Regression: highlight-lines-matching-regexp can't re-highlight the same string
From: Stefan Monnier <[email-masked]>
To: Dima Kogan <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 Feb 2015 16:41:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> 1. seq 1000 > /tmp/dat
> 2. emacs -Q /tmp/dat
> 3. M-s h l 7       (highlight all lines matching "7")
> 4. M-s h u [enter] (un-highlight the default, "7" in this case)
> 5. M-s h l 7       (highlight all lines matching "7" again)

> After that commit, nothing is highlighted anymore

Yuck, the old behavior looked right but was subtly wrong (the
highlighting at step 5 was done via font-lock whereas it was done with
overlays at step 3), and the recent change made the difference "more
visible" ;-)

The real problem is in font-lock, I think, but I don't have the courage
to fix it now, so I've installed a workaround that I hope will be sufficient.

        Stefan

Subject: 25.0.50; Regression: highlight-lines-matching-regexp can't re-highlight the same string
From: Dima Kogan <[email-masked]>
To: [email-masked]
Date: Fri, 06 Feb 2015 22:57:30 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

The following commit broke some hi-lock functionality:

commit 6711a21f1125c0047c56eb266eb374c1ec90a967
Author: Stefan Monnier <[email-masked]>
Date:   Wed May 28 23:45:29 2014 -0400

    ...
    * lisp/hi-lock.el (hi-lock-mode, hi-lock-unface-buffer)
    (hi-lock-set-pattern, hi-lock-set-file-patterns): Use font-lock-flush.
    ...

Recipe to reproduce:

1. seq 1000 > /tmp/dat
2. emacs -Q /tmp/dat
3. M-s h l 7       (highlight all lines matching "7")
4. M-s h u [enter] (un-highlight the default, "7" in this case)
5. M-s h l 7       (highlight all lines matching "7" again)

After that commit, nothing is highlighted anymore